{-# LANGUAGE NoMonomorphismRestriction #-}

import Diagrams.Prelude
import Diagrams.Backend.TikZ

p = fromVertices $ map p2 [(-4,0),(0,0),(0,2)]

charge = circle 0.1 # fc black

fieldPoint = circle 0.05 # fc black

point1     = p2 ( 0,2)
point2     = p2 (-4,0)

d = position [(point1,charge)
             ,(point2,charge)
             ,(origin,fromVertices [origin,point1])
             ,(origin,fromVertices [origin,point2])
             ,(origin,fieldPoint)
             ,(p2 (0,2.3),text "$Q_1 = +4.0 \\mu\\rm C$")
             ,(p2 (-4,-0.3),text "$Q_2 = -8.0 \\mu\\rm C$")
             ,(p2 (0.2,-0.2),text "P")
             ,(p2 (0.5,1), text "2 cm")
             ,(p2 (-2,0.3), text "4 cm")
             ]

main = renderDia TikZ (TikZOptions "EField.tex" (TeX $ Dims 6 6)) d
